#ifndef _BLOCKS_ELEPHANT_
#define _BLOCKS_ELEPHANT_
typedef struct Elephant Elephant;
#include "common.h"
#include "block.h"
#include "game.h"
#include "main.h"
struct Elephant {
    Block super;
    int step;
    int direction;
};
Block* player2_allocate(void);
void player2_init(Block * super);
void player2_tick(Block * super);
bool player2_touch(Block * super, Block * c, float dx, float dy, float dz);
#endif
